TIREX-SEND(1)

NAME
tirex-send - send messages to a tirex daemon

SYNOPSIS
tirex-send [OPTIONS] TYPE [KEY=VALUE ...]

OPTIONS

-h, --help
    Display help message.

-d, --debug
    Run in debug mode. You'll see the actual messages sent and received.

-c, --config=DIR
    Use the config directory DIR instead of /etc/tirex.

-t, --to=DESTINATION
    Talk to DESTINATION, which can be 'master' (default), 'syncd', or a port number.

-w, --wait=SECONDS
    Wait SECONDS for the answer after sending the message. Default is 5 seconds. If set to 0, don't wait for an answer at all. This is the default when the destination is set to syncd.

DESCRIPTION
tirex-send sends a message through a UDP socket to a tirex daemon running on the local machine and waits for the answer. It can be used to check whether a daemon is running, activate debugging in the daemon, send a render request, etc.

Messages are normally sent to the tirex-master daemon, but can also be sent to a sync daemon or one of the rendering backends.

You have to give the TYPE of the message on the command line and optionally some fields in the format KEY=VALUE.

MESSAGES FOR MASTER
The following messages can be send to a master daemon:

ping
    Check whether server is alive.

debug
    Activate debugging in the daemon.

nodebug
    Deactivate debugging in the daemon.

quit
    Quit server now (unclean!).

shutdown
    Clean shutdown (no yet implemented XXX)

reload_config
    Reload renderer and map config.

reset_max_queue_size
    Reset max queue size indicator in shared memory.

stop_rendering_bucket
    Stop feeding jobs from a bucket to the renderer. Currently rendering jobs are unaffected. Give the name of the bucket as "bucket=NAME".

continue_rendering_bucket
    Continue rendering jobs from this bucket. Give the name of the bucket as "bucket=NAME".

metatile_enqueue_request
    Add metatile to job queue.

metatile_remove_request
    Remove job from queue.

MESSAGES FOR SYNCD
The following messages can be send to a syncd server:

metatile_render_request
    Syncs the metatile file.

MESSAGES TO BACKENDS
The following messages can be send to a rendering backend:

metatile_render_request
    Renders the metatile requested.

FILES

/etc/tirex/tirex.conf
    The configuration file.

DIAGNOSTICS
tirex-send returns

0 if the message was answered with 'ok',
1 if the message was answered with an error,
2 if the error was 'unknown_message_type',
3 if the message could not be sent or if there was a timeout waiting for the answer,
4 if there was an error parsing the command line.

SEE ALSO
<http://wiki.openstreetmap.org/wiki/Tirex>

AUTHORS
Frederik Ramm <frederik.ramm@geofabrik.de>, Jochen Topf <jochen.topf@geofabrik.de> and possibly others.